/* ==========================================================================
* 파    일 : UIBackWindow.h
* 목    적 : 
* 작 성 자 : 김가람
* 작 성 일 : 2007-02-13
* 주의사항 : 배경윈도우는 이것으로 생성한다
*===========================================================================*/
#pragma once
#include "UIWindow.h"

class cPlaneObject;
/// UI back 윈도우
class cUIBackWindow : public cUIWindow
{
public:
	cUIBackWindow( eUINodeType type = eUINODE_WINDOW );
	virtual ~cUIBackWindow();

	//void SetAlphaEnabled( bool enabled, NiAlphaProperty::AlphaFunction srcBlend, NiAlphaProperty::AlphaFunction destBlend );

	void SetBackTexture( NiTexture* tex );
	void SetAlpha( float alpha );

protected:
	virtual bool SetSkin( const cUINodeSkin* pskin );
	virtual void UpdateSkin();

protected:
	virtual void OnRender( cUIFontItemKeeper* pKeeper );
	virtual void OnMouseMove( const cUIPos& pos );
	virtual void OnLButtonDown( const cUIPos& pos, bool /*ctrlPress*/, bool /*AltPress*/, bool /*shiftPress*/ );

private:
	/// 
	cPlaneObject*	mpPlane;
};